
Foreman - Feature #37087

Prepare STI usage to be compatible with Ruby 3.0

01/23/2024 02:22 PM - Oleh Fedorenko

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category:    

Target version: 3.10.0   

Difficulty:  Fixed in Releases: 3.10.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10006

  

Description

Some of our STI models (host and subnet) have redefined initialization method signature, which cause failures in code logic due to

Ruby 3.0 more strict way of dealing with keyword arguments. As a first step we must to comply with Rails' model initialization method

signature. As a second step, we must review app/models/host.rb module's method_missing stub to accept keyword arguments to be

able to answer and delegate different calls with different signatures. Without this, we can't migrate to Ruby 3.

Related issues:

Blocks Foreman - Feature #36849: Run Foreman tests on Ruby 3.0 Closed

Associated revisions

Revision ebaa4537 - 01/24/2024 11:26 AM - Oleh Fedorenko

Fixes #37087 - STI preparations for Ruby 3.0

Some of our STI models (host and subnet) have redefined initialization

method signature, which cause failures in code logic due to Ruby 3.0

more strict way of dealing with keyword arguments. As a first step

we must to comply with Rails' model initialization method signature.

As a second step, we must review app/models/host.rb module's

method_missing stub to accept keyword arguments to be able to answer

and delegate different calls with different signatures. Without this,

we can't migrate to Ruby 3.

History

#1 - 01/23/2024 02:23 PM - Oleh Fedorenko

- Blocks Feature #36849: Run Foreman tests on Ruby 3.0 added

#2 - 01/23/2024 02:24 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10006 added

#3 - 01/24/2024 11:26 AM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#4 - 01/24/2024 12:02 PM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ebaa4537b43798e040cb512ee397db3f08fcd8af.
